Skip to Content

POST Projects

Use this endpoint to create a new project within a branch.

User level: Advanced

Endpoint

POST /v1/{scopeId}/projects
PropertyValue
MethodPOST
Scope IDBranch UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:projects:write
Content-Typeapplication/json
Request bodyJSON object

Allowed create fields

Field
name
reference
status
account_id
start_date
end_date
comment

Example request

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/projects" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "name": "Warehouse relocation", "reference": "PRJ-2025-004", "status": "active" }'

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440021", "name": "Warehouse relocation", "reference": "PRJ-2025-004", "status": "active" }, "version": "v1" }
Last updated on